<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.security"
   name="Hyades Security UI Plugin"
   version="1.2.0"
   provider-name="Eclipse.org"   
   class="org.eclipse.hyades.security.SecurityPlugin">

   <runtime>
      <library name="security.jar">
         <export name="*"/>
		 <packages prefixes="org.eclipse.hyades.security"/>                       
      </library>
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.hyades.execution.local"/>      
      <import plugin="org.eclipse.core.runtime"/>      
      <import plugin="org.eclipse.core.resources"/>            
  	  <import plugin="org.eclipse.ui"/>
   </requires>

  <extension-point id="JSSESecurityProviders" name="%JSSESecurityProvider" schema="schema/JSSEProvider.exsd"/>

<!-- ==================================================================== -->
<!-- Preferences pages.                                                   -->
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%STR_PREF_AGENT_CONTOLLER"
            id="org.eclipse.hyades.security.preference.AgentControllerPage"
            class="org.eclipse.hyades.security.preference.AgentControllerPage">
      </page>
   </extension>
<!-- ==================================================================== -->
<!-- Certificates Import Wizard.                                                   -->
<!-- ==================================================================== -->
   <extension
         point="org.eclipse.ui.importWizards">
      <wizard
            name="%STR_IMPORT_SECURITY_TITLE"
            class="org.eclipse.hyades.security.util.ImportSecurityCertificate"
            id="ImportCertificateWizard"
         	icon="icons/full/obj16/certif_file.gif"> 
            
         <description>
            %STR_IMPORT_SECURITY_DESC
         </description>
         <selection
               class="org.eclipse.core.resources.IResource">
         </selection>
      </wizard>
   </extension>

</plugin>
